import { jsx as _jsx } from "react/jsx-runtime";
import { usePosition } from '../../hooks';
export function Text(props) {
    const { x: xOld, y: yOld, children, color, ...otherProps } = props;
    const { x, y } = usePosition({ x: xOld, y: yOld });
    return (_jsx("text", { x: x, y: y, fill: color, ...otherProps, children: children }, void 0));
}
//# sourceMappingURL=Text.js.map