import { jsx as _jsx } from "react/jsx-runtime";
export default function HorizontalAxisGridLines(props) {
    const { plotHeight, style, primaryTicks, position: axisPosition } = props;
    return (_jsx("g", { children: primaryTicks.map(({ position }) => (_jsx("line", { x1: position, x2: position, y1: axisPosition === 'top' ? plotHeight : -plotHeight, y2: "0", stroke: "black", strokeDasharray: "2,2", strokeOpacity: 0.5, style: style }, position))) }, void 0));
}
//# sourceMappingURL=HorizontalAxisGridLines.js.map