"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ellipse = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Ellipse(props) {
    const { x, y, rx: oldRx, ry: oldRy, color, ...otherProps } = props;
    const { cx, cy, rx, ry } = (0, hooks_1.useEllipsePosition)({
        cx: x,
        cy: y,
        rx: oldRx,
        ry: oldRy,
    });
    return ((0, jsx_runtime_1.jsx)("ellipse", { cx: cx, cy: cy, rx: rx, ry: ry, fill: color, ...otherProps }, void 0));
}
exports.Ellipse = Ellipse;
