/// <reference types="react" />
import type { CSSFuncProps, Position } from '../types';
export declare type LegendPosition = Position | 'embedded';
export declare type LegendProps = {
    position: LegendPosition;
    margin?: number;
    onClick?: (args: {
        event?: React.MouseEvent<SVGGElement, MouseEvent>;
        id?: string;
    }) => void;
    labelStyle?: CSSFuncProps<{
        id: string;
    }>;
    lineStyle?: CSSFuncProps<{
        id: string;
    }>;
} & {
    [K in Position]?: number;
};
export declare function Legend({ position, margin, onClick, labelStyle: oldLabelStyle, lineStyle, ...legendOffsets }: LegendProps): JSX.Element;
