import { CSSProperties } from 'react';
import type { BaseSeriesProps } from '../types';
export interface RangeSeriesPoint {
    x: number;
    y1: number;
    y2: number;
}
export interface RangeSeriesProps<T extends RangeSeriesPoint> extends BaseSeriesProps<T> {
    lineStyle?: CSSProperties;
}
export declare function RangeSeries<T extends RangeSeriesPoint>(props: RangeSeriesProps<T>): JSX.Element;
