"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Group = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_d3_utils_1 = require("react-d3-utils");
const hooks_1 = require("../../hooks");
function Group(props) {
    const { x: oldX, y: oldY, horizontalAlign = 'none', verticalAlign = 'none', children, } = props;
    const { x, y } = (0, hooks_1.usePosition)({ x: oldX, y: oldY });
    return ((0, jsx_runtime_1.jsx)(react_d3_utils_1.AlignGroup, { x: x, y: y, horizontalAlign: horizontalAlign, verticalAlign: verticalAlign, children: children }, void 0));
}
exports.Group = Group;
